/**
  *  \file client/tiles/planettaskcmd.h
  *  \brief WPlanetAutoTaskCommandTile tile
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_PLANETTASKCMD_H
#define PCC_V2_CLIENT_TILES_PLANETTASKCMD_H

#include "cpluslib/sigslot.h"
#include "client/wtile.h"

class WPlanetAutoTaskType;

/** Planet Auto Task Command Tile. This doesn't currently offer any
    sensible display, and only the most basic commands.

    For use with a WPlanetAutoTaskType only. */
class WPlanetAutoTaskCommandTile : public WTile {
    WPlanetAutoTaskType* attype;
    SignalConnection conn_task_changed;
    ObjectHolder h;

    void init();

 public:
    WPlanetAutoTaskCommandTile(GObjectType& type);
    ~WPlanetAutoTaskCommandTile();
    void drawData(GfxCanvas& can);
    bool handleCommand(const UICommand& cmd, UIBaseWidget& sender);
};


#endif
