/**
  *  \file game/backup.h
  *  \brief Backup File Creation
  */
#ifndef PCC_V2_GAME_BACKUP_H
#define PCC_V2_GAME_BACKUP_H

#include "cpluslib/string.h"

class Stream;
class ProgressMonitor;
class ConfigStringOption;

extern ConfigStringOption opt_BackupTurn;
extern ConfigStringOption opt_BackupResult;
extern ConfigStringOption opt_BackupUtil;
extern ConfigStringOption opt_BackupChart;
extern ConfigStringOption opt_BackupScript;
extern ConfigStringOption opt_UnpackSource;
extern ConfigStringOption opt_MaketurnTarget;

/** Backup file creation. This contains the logic to expand backup file path specifications,
    and to create the backup files. */
class GBackupFileTemplate {
 public:
    GBackupFileTemplate();

    // Configuration
    void setGameDirectory(string_t dir);
    void setPlayerNumber(int n);
    void setTurnNumber(int n);

    // Templates & Backups
    string_t expandFileName(string_t tpl);
    void copyFile(string_t tpl, Stream& src, ProgressMonitor& pm);
    void eraseFile(string_t tpl);

 private:
    string_t game_dir;
    int player_nr;
    int turn_nr;
};

#endif
